Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class CIOnePopMeanSigmaKnown

    java.lang.Object
      org.statcato.statistics.inferential.ConfidenceInterval
          org.statcato.statistics.inferential.CIOnePopMeanSigmaKnown

    public class CIOnePopMeanSigmaKnown

extends ConfidenceInterval

Confidence interval class for one population mean, sigma (population standard deviation) known.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary

Fields inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`center, confidenceLevel`

Constructor Summary
`CIOnePopMeanSigmaKnown(double confidenceLevel, int n, double mean, double sigma)` Constructor.

Method Summary
`double` | `criticalValue()` Returns the critical value corresponding to the given confidence level.
`double` | `marginOfError()` Returns the margin of error.

Methods inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`lowerLimit, toString, upperLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIOnePopMeanSigmaKnown

    public CIOnePopMeanSigmaKnown(double confidenceLevel,
                                  int n,
                                  double mean,
                                  double sigma)

  Constructor.

  Parameters:
    `confidenceLevel` - confidence level, between 0 and 1
    `n` - sample size
    `mean` - sample mean
    `sigma` - sample standard deviation

Method Detail

### marginOfError

    public double marginOfError()

  Returns the margin of error. E = z_(alpha/2) * sigma / sqrt(n).

  Specified by:
    `marginOfError` in class `ConfidenceInterval`
  Returns:
    margin of error

### criticalValue

    public double criticalValue()

  Returns the critical value corresponding to the given confidence level. Uses the z distribution to find z_(alpha/2), where alpha is the significance level (1 - confidence level).

  Specified by:
    `criticalValue` in class `ConfidenceInterval`
  Returns:
    critical value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD